
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>重拾Java回忆录（十）：Java10反射机制 / 憋错料</title>

    <meta name="description" content="重拾Java回忆录（十）：Java10反射机制 反射:在java程序的运行时动态的分析或者使用一个类进行操作 Java.lang.Class :描述类信息的类 类对象: 描述一个类的信息,当jvm加载一个类时,就会产生描述信息对象(反映当前的运行类的信息),称为Class对象 如何获取Class对象 通过类对象可以得到一个类中的结构信息--得到类的组成的情况 Field属性类:类中的属性 Method方法类:方法的描述 Constructor构造方法类:构造方法的描述 Class对象的常用的方法 用途:使用反射创建一个对象 1.获取类对象 2">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">重拾Java回忆录（十）：Java10反射机制</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>反射:在java程序的运行时动态的分析或者使用一个类进行操作</p>
<p>Java.lang.Class :描述类信息的类</p>
<p>类对象:<br />
描述一个类的信息,当jvm加载一个类时,就会产生描述信息对象(反映当前的运行类的信息),称为Class对象</p>
<p>如何获取Class对象</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTAxMjAxNjI2MjUzNzU/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2WTNWcGQycGhkbUU9L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg"></p>
<p>通过类对象可以得到一个类中的结构信息--得到类的组成的情况</p>
<p>Field属性类:类中的属性</p>
<p>Method方法类:方法的描述</p>
<p>Constructor构造方法类:构造方法的描述</p>
<p>Class对象的常用的方法</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTAxMjAxNjI3MjYzNDY/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2WTNWcGQycGhkbUU9L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg"></p>
<p>用途:使用反射创建一个对象</p>
<p>1.获取类对象</p>
<p>2.获取构造方法对象</p>
<p>3.获取方法对象</p>
<p>4.创建对象</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTAxMjAxNjI4MjA2MTk/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2WTNWcGQycGhkbUU9L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-15 09:36:22 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e5%8f%8d%e5%b0%84/" title="反射">反射</a>, <a href="https://www.biecuoliao.com/tag/java%e5%ad%a6%e4%b9%a0/" title="java学习">java学习</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>重拾Java回忆录（十）：Java10反射机制的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38pKwg3.html" rel="bookmark">重拾Java回忆录（十二）：Java12线程的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				进程和线程 进程:一个操作系统中执行的一个子程序,包含虚拟cpu,代码,数据 DOS 多进程:一个操作系统中执行的多个子程序,提高cpu的使用率 线程:在一个进程中同时执行的子程序流 多线程:在一个进程中同时执行的若干的子程序流 进程和线程的区别: 进程有独立的进程空间(存放数据),彼此之间是独立的 线程的堆空间是共享的,栈空间是独立的,而且线程占用的资源比较小,相互之间可以影响 Java中如何使用进程 调用本地程序的类 Runtime:当前的运行环境exec返回结果为process Proce			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MX2dEV3.html" rel="bookmark">重拾Java回忆录（九）：java09异常的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				什么是异常:Java程序运行时产生的错误,java将所有产生的异常封装成为对象,该对象称为Throwable,是所有异常的父类 Throwable中含有2个子类 Error 和 Exception Error:代表是1个程序错误,特指底层的低级的不可恢复的的严重的错误 表现:1.发生Error时.程序会退出,因为失去了运行程序所需要的物理环境 2.我们无法进行处理Error Exception:由于特定的因素,导致程序无法继续,但是不影响JVM的正常的运行 未检查异常(Runntime Exce			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3Om6XoM.html" rel="bookmark">重拾Java回忆录（一）：Java01基本数据类型和基本语句</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				编写java程序的基本的要求 1.编写java类其实就是编写java文件(默认的情况下类名和文件名要求一致) 2.类在编写的时候,应该放在一个包(package) 包的含义:一个文件夹的显示(文件的层次关系的反映) 包中的层次依靠 . 进行层进,用于区分不同的java文件 包之间的应用 1.创建类  package 包名(指明类的位置) 2.使用类  import 包名.类名(可以使用*代表全部) 基本数据类型: 1.标识符 命名的规则: 1.字母,下划线,数字,$,组成,但是数字不能作为开始			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPNYXz3.html" rel="bookmark">重拾Java回忆录（二）：Java02类和对象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				类:主观的抽象,对象的模版,可以实例化成为对象---定义一种模版,而模版不能直接的使用 ---使用类就需要创建成为对象 --将现实中的具体对象,进行抽象的结果(强调对象之间的相同点,忽略不同的过程) --使用抽象结果: 将模版进行具体化(实例化),用实例化的结果进行操作 习惯上定义类的格式 Package XXX; Import XXX; [修饰符] Class 类名{ 属性:用变量表示(基本数据的类型) 行为:使用方法表示(基本的语句的方法) 构造方法(创建类时使用的方法,主要的功能是给类中的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AnB8dM.html" rel="bookmark">重拾Java回忆录（七）：Java07String和Date的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				String , StringBuffer , StringBulider的使用 String: 不可改变的Unicode字符序列 内存中会自动的创建一个字符串池(放置公共的数据),如果使用字面值创建字符串,Java就会在次池中查找 StringBuffer : 可变长的Unicode字符序列 (多使用) --允许并发操作,是一个线程安全的 //String s=&quot;&quot;; s+=&quot;速度速度是&quot; //不应出现 String s=&quot;aa&quot;+&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6ewOG4.html" rel="bookmark">重拾Java回忆录（八）：Java08集合的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				集合的使用:如果在程序开发的过程中需要存储多个数据(值,引用),使用集合 值:使用时使用数组  int []  float[] 引用型:集合 1.链式 List:是一个接口(方法定义) 对象的存放是有序的,通过索引下标进行区分,可以存放相同的数据 对象的存放没有数量的限制(下标自动的增长) ArrayList :查询的效率高,增加删除的效率低 --适用于查询类型的集合 Vector : 线程安全 ,支持并发 ,安全性高 LinkedList:查询效率低,但是增加删除的效率极高 底层采用双向循环的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YKAEq4.html" rel="bookmark">重拾Java回忆录（五）：Java05接口的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				接口的使用 接口(Interface):从本质上说接口是一种特殊的抽象类 特殊点 接口的定义 1.所有的方法应该是public (而且是abstract的) 2.所有的属性应该是publicstatic final 静态常量 3.接口之间可以继承 使用extends (允许多重继承,多个之间 , 间隔) 4.接口中不能有构造方法,不能使用new ,没有main方法 接口的实现 关键字:Implements 1.接口的实现一定是通过类完成的 2.实现接口的类,一定要完成接口中的抽象方法,否则实现类			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kgv8b0.html" rel="bookmark">重拾Java回忆录（四）：Java04修饰符的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				修饰符的使用 1.static :静态修饰符 可以修饰 方法 属性 内部类 代码块 属性 凡是使用static修饰的内容,所有者是整个类(被所有类产生的对象共享) 加载的过程: 在类的加载过程中,静态属性常驻内存(不需要new ,就能开辟存储的空间) 方法 静态块:初始代码块,该代码块只在类加载的时候被执行一次(主要用于静态属性的初值的设定) 设计模式: 单例设计模式 : 一个类只允许产生一个对象(不管使用多少次new ,产生对象是同一个) 2.final最终 不可改变 属性 方法 类 访问的修			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0ReR7vM.html" rel="bookmark">重拾Java回忆录（十一）：Java11内部类的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				什么是内部类:定义在另外一个类中的类,称为内部类 编译完成后产生2个类 Outter.class 和 Outter$Inner.class 内部类的分类 静态内部类:定义在类中使用static描述 静态内部类中只能访问外部类的静态成员 实质:在一个类中定义了一个静态类型,该类型产生的对象可以操作包含类中的静态属性 成员内部类: 作为外部类的一个成员出现,与外部类的属性和方法并列 局部内部类:在外部类的方法中定义的类,类似与局部参数 匿名内部类:特殊的内部类 --没名字,没定义class exte			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mzaaqq4.html" rel="bookmark" class="title">Blender 之 Splash 代码分析</a>
					<div>
						注:以下内容基于 Blender 2.7x 版本工程,其它低版本可能有改动. Blender启动完成时,会出现一个画面,英文叫Splash.默认是打开的,可以在设置里关闭.在文件菜单里点击用户首选项( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lX8RL0.html" rel="bookmark" class="title">mysql 主从配置</a>
					<div>
						近期部分机器要求做主从,之前都是每天定时全备份,但是影响到线上服务.所以对部分活跃的服务器做了主从,解决mysql备份的时候导致玩家卡壳问题. slave 物理机,多实例,一台物理机基本开到6个实例. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MP8YeDM.html" rel="bookmark" class="title">TListView列表拒绝添加重复信息</a>
					<div>
						//TListView列表拒绝添加重复信息 procedure TForm1.Button1Click(Sender: TObject);var  i: Integer;begin  if (Trim ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YYoDN0.html" rel="bookmark" class="title">《大道至简》阅读笔记</a>
					<div>
						第一章:编程的精义 &quot;虽我之死,有子存焉:子又生孙,孙又生子:子又有子,子又有孙.子子孙孙,无穷匮也.而山不加增,何苦而不平?&quot;&lt;愚公移山&gt;中的经典句.这句话基本上概述 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l59qp3.html" rel="bookmark" class="title">【Demo】微信上墙</a>
					<div>
						先看看微信墙效果图 使用简单说明 关于微信公众号 回复 &quot;上墙&quot;,点击授权文章进行授权 回复&quot;#上墙内容&quot; 即可发表上墙消息了 查看微信墙列表,点击这里 原文地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/352Wqv4.html" rel="bookmark" class="title">Java中的的画正三角方法</a>
					<div>
						在循环的语句的练习中,画正三角是一个很经典的例子,但是如果方法找的不对的话,即使最终画出来了,那么得到的代码也是非常的复杂,应用性不高. 下面有两种方法来画正三角,第一种是一种比较麻烦的办法,是通过归 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YRXna3.html" rel="bookmark" class="title">Linux学习三部曲&lpar;之一&rpar;</a>
					<div>
						作为.NET程序员,一直以来都是windows环境下工作,很少接触到linux系统.但是随着微软跨出跨平台这一步之后,相信.NET程序员在linux平台进行开发也会变得越来越寻常. 所以,今天这篇文章 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NqG923.html" rel="bookmark" class="title">软件过程与项目管理（第一周作业）</a>
					<div>
						一. 15选1的第3题: 上网调查一下目前流行的源程序版本管理软件和项目管理软件都有哪些,各有什么优缺点?(提示:搜索一下Microsoft TFS.GitHub.Trac.Bugzilla.Rati ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGR5ZY4.html" rel="bookmark" class="title">回归树&vert;GBDT&vert;Gradient Boosting&vert;Gradient Boosting Classifier</a>
					<div>
						已经好久没写了,正好最近需要做分享所以上来写两篇,这篇是关于决策树的,下一篇是填之前SVM的坑的. 参考文献: http://stats.stackexchange.com/questions/545 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXlDPkM.html" rel="bookmark" class="title">jq 获取当前屏幕高度</a>
					<div>
						alert($(window).height()); //浏览器时下窗口可视区域高度 alert($(document).height()); //浏览器时下窗口文档的高度 alert($(docum ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wBVJ80.html" rel="bookmark" class="title">React&period;js 基础入门二--组件嵌套</a>
					<div>
						组件:在设计接口的时候,将常用元素(按钮,表单字段,布局组件等)分解成定义好接口的可重用组件.这样下次你在创建同样界面就可以少写很多代码,这意味着更快的开发时间,更少的bug,和更少的内容下载. 将上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rByww3.html" rel="bookmark" class="title">【SDOI2011】【BZOJ2243】【树链剖分】染色</a>
					<div>
						从2.16开坑学链剖,假期颓废无止境回来之后还要天天测试所以一直拖到现在做完了第一个题 话说是不是直接做QT比较好毕竟看起来友好一些这个题的状态实在有些蛋疼 (P.S.我的链剖跟黄学长学的所以写起来和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0klPjd3.html" rel="bookmark" class="title">weex</a>
					<div>
						Weex学习与实践(一):Weex,你需要知道的事基本介绍A framework for building Mobile cross-platform UI怎么解释它呢?我的理解就是weex = re ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02XnZa4.html" rel="bookmark" class="title">perl-cgi命令行调试</a>
					<div>
						来源: http://www.cnblogs.com/itech/archive/2012/09/23/2698838.html 参考: http://docstore.mik.ua/orelly/l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xAZPn3.html" rel="bookmark" class="title">android 下载图片出现SkImageDecoder&colon;&colon;Factory returned null，BitmapFactory&period;Options压缩</a>
					<div>
						网上有很多说是因为没有采用HttpClient造成的,尼玛,我改成了HttpClient 请求图片之后还是会出现SkImageDecoder::Factory returned null, 但是直接使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02oroA3.html" rel="bookmark" class="title">谈谈javascript语法里一些难点问题（转）</a>
					<div>
						谈谈javascript语法里一些难点问题(一) 1)    引子 前不久我建立的技术群里一位MM问了一个这样的问题,她贴出的代码如下所示: var a = 1; function hehe() {  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QgBWl0.html" rel="bookmark" class="title">根据URL解析JSON</a>
					<div>
						$.ajax({ type : &quot;get&quot;, cache : false, dataType : &quot;jsonp&quot;, url : url1,  jsonp : & ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6n1ydM.html" rel="bookmark" class="title">第一讲 递归</a>
					<div>
						递归(recursion):程序调用自身的编程技巧. 递归满足2个条件: 1)有重复运行的过程(调用自身) 2)有跳出重复运行过程的条件(递归出口) 一.阶乘: #include &lt;iostre ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JlYYn0.html" rel="bookmark" class="title">开发jquery插件（转）</a>
					<div>
						要说jQuery 最成功的地方,我认为是它的可扩展性吸引了众多开发者为其开发插件,从而建立起了一个生态系统.这好比大公司们争相做平台一样,得平台者得天下.苹果,微软,谷歌等巨头,都有各自的平台及生态圈 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nwrbj3.html" rel="bookmark" class="title">iOS基础篇（十三）&mdash;&mdash;UITableView（一）重用机制</a>
					<div>
						UITableView是app开发中常用到的控件,功能很强大,常用于数据的显示.在学习UITableView使用之前,我们先简单了解一下: 1.UITableView的重用机制 UITableView ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.020 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
